Skip to main content
PATCH
Update Cron

Path Parameters

cron_id
string<uuid>
required

Body

application/json

Payload for updating a cron job. All fields are optional.

schedule
string

The cron schedule to execute this job on.

timezone
string

IANA timezone for the cron schedule (e.g. 'America/New_York'). Defaults to null, which is treated as UTC.

end_time
string<date-time> | null

The end date to stop running the cron. Send null to clear a previously set end time; omit this field to leave the existing value unchanged.

input
object
metadata
Metadata · object

Metadata to merge with existing cron job metadata.

config
Config · object

The configuration for the assistant.

context
Context · object

Static context added to the assistant.

webhook
string<uri-reference>

Webhook to call after LangGraph API call is done.

Required string length: 1 - 65536
interrupt_before

Nodes to interrupt immediately before they get executed.

Available options:
*
interrupt_after

Nodes to interrupt immediately after they get executed.

Available options:
*
on_run_completed
enum<string>

What to do with the thread after the run completes. 'delete' removes the thread after execution. 'keep' creates a new thread for each execution but does not clean them up.

Available options:
delete,
keep
enabled
boolean

Enable or disable the cron job.

stream_mode

The stream mode(s) to use.

Available options:
values,
messages,
messages-tuple,
tasks,
checkpoints,
updates,
events,
debug,
custom
stream_subgraphs
boolean
default:false

Whether to stream output from subgraphs.

stream_resumable
boolean
default:false

Whether to persist the stream chunks in order to resume the stream later.

durability
enum<string>
default:async

Durability level for the run. Must be one of sync, async, or exit. See durability modes for more details.

Available options:
sync,
async,
exit

Response

Success

Represents a scheduled task.

cron_id
string<uuid>
required

The ID of the cron.

thread_id
string<uuid>
required

The ID of the thread.

end_time
string<date-time>
required

The end date to stop running the cron.

schedule
string
required

The schedule to run, cron format.

created_at
string<date-time>
required

The time the cron was created.

updated_at
string<date-time>
required

The last time the cron was updated.

payload
Payload · object
required

The run payload to use for creating new run.

enabled
boolean
default:true
required

Whether the cron job should be enabled. Disabled crons are not executed.

assistant_id
string<uuid> | null

The ID of the assistant.

user_id
string | null

The ID of the user.

next_run_date
string<date-time> | null

The next run date of the cron.

metadata
Metadata · object

The cron metadata.